//Das Feld für Kommentare wird auf 100 Zeichen begrenzt


function resize(){
	if(window.sizeToContent) window.sizeToContent();
}
function closeW(){
	this.window.close();
}

//Funktion für die Bewegung von Items von einem Listbox in den Anderen.
function move(Orig, Dest){
	var varFromBox = document.getElementById(Orig);
	var varToBox = document.getElementById(Dest);
	if ((varFromBox != null) && (varToBox != null))
	{
		if(varFromBox.length < 1)
		{
			alert('There are no items in the source ListBox');
			return false;
		}
		if(varFromBox.options.selectedIndex == -1) // when no Item is selected the index will be -1

		{
			alert('Please select an Item to move');
			return false;
		}
		while ( varFromBox.options.selectedIndex >= 0 )
		{
			var newOption = new Option(); // Create a new instance of ListItem

			newOption.text = varFromBox.options[varFromBox.options.selectedIndex].text;
			newOption.value = varFromBox.options[varFromBox.options.selectedIndex].value;
			varToBox.options[varToBox.length] = newOption; //Append the item in Target Listbox

			varFromBox.remove(varFromBox.options.selectedIndex); //Remove the item from Source Listbox

		}
	}
	return false;
}

function selectall(){
	selectBox = document.getElementById('sel');
	for (var i = 0; i < selectBox.options.length; i++) {
		selectBox.options[i].selected = true;
	}
}

function up() {
	obj=document.getElementById('sel');
	for (var i = 0; i < obj.options.length; i++)
		if (obj.options[ i ].selected){
			if (i>0) change(obj,i,i-1);
		}

}

function down() {
	obj=document.getElementById('sel');
	for (var i = obj.options.length-1; i >= 0; i--){
		if (obj.options[ i ].selected){
			if ( i<obj.length-1) change(obj,i,i+1);
		}
	}
}

function change(obj,num1,num2) {
	proVal=obj.options[num1].value;
	proTex=obj.options[num1].text;
	obj.options[num1].value=obj.options[num2].value;
	obj.options[num1].text=obj.options[num2].text;
	obj.options[num2].value=proVal;
	obj.options[num2].text=proTex;
	obj.options[num2].selected=true;
	obj.options[num1].selected=false;
}

function showdef_(conf,config,from,to){

	var c=config.split(",");
	for (i=0;i<c.length;i++){
		var v=c[i].split("=");
		if (v[0]=='codecs'){
			document.getElementById('sel').disabled=false;
			document.getElementById('sel1').disabled=false;
			document.getElementById('upB').disabled=false;
			document.getElementById('downB').disabled=false;
			document.getElementById('addB').disabled=false;
			document.getElementById('removeB').disabled=false;
		}else if (v[0]=='from_pstn_src_setting'){
			if (from=='analog' || to=='analog') document.getElementById('from_pstn_src_setting_analog').disabled=false;
			if (from=='isdn' || to=='isdn') document.getElementById('from_pstn_src_setting_isdn').disabled=false;
			var check_def=document.getElementById("def_from_pstn_src_setting_analog");
			if (check_def!=null && (from=='analog' || to=='analog')) check_def.checked=false;
			var check_def=document.getElementById("def_from_pstn_src_setting_isdn");
			if (check_def!=null && (from=='isdn' || to=='isdn')) check_def.checked=false;
		}else{
			var field=document.getElementById(v[0]);
			if (field!=null) field.disabled=false;
		}
		var check_def=document.getElementById("def_"+v[0]);
		if (check_def!=null) check_def.checked=false;
	}
}

function disable(){
        $("#ec").prop("disabled",true);
        $("#ectl").prop("disabled",true);
        $("#ie_on_sip").prop("disabled",true);
        $("#wait_for_cancel").prop("disabled",true);
        $("#dton").prop("disabled",true);
        $("#oton").prop("disabled",true);
        $("#screen").prop("disabled",true);
        $("#pres").prop("disabled",true);
        $("#t38").prop("disabled",true);
        $("#dtmfmode").prop("disabled",true);
        $("#s2i_cpt").prop("disabled",true);
        $("#i2s_cpt").prop("disabled",true);
        $("#codecs").prop("disabled",true);
        $("#codecs1").prop("disabled",true);
        $("#upB").prop("disabled",true);
        $("#downB").prop("disabled",true);
        $("#addB").prop("disabled",true);
        $("#removeB").prop("disabled",true);
        $("#bearer_cap").prop("disabled",true);
        $("#cd").prop("disabled",true);
        $("#isdn_oad_setting").prop("disabled",true);
        $("#isdn_dad_setting").prop("disabled",true);
        $("#isdn_oad2_setting").prop("disabled",true);
        $("#isdn_qsigname_setting").prop("disabled",true);
        $("#isdn_redirected_nr_setting").prop("disabled",true);
        $("#from_pstn_src_setting_analog").prop("disabled",true);
        $("#from_pstn_src_setting_isdn").prop("disabled",true);
        $("#sip_to_user_setting").prop("disabled",true);
        $("#sip_from_user_setting").prop("disabled",true);
        $("#sip_from_display_setting").prop("disabled",true);
        $("#sip_pai_user_setting").prop("disabled",true);
        $("#sip_ppi_user_setting").prop("disabled",true);
        $("#from_sip_src_setting").prop("disabled",true);
        $("#analog_oad_setting").prop("disabled",true);
        $("#analog_display_setting").prop("disabled",true);
        $("#sip_national_code").prop("disabled",true);
        $("#sip_international_code").prop("disabled",true);
        $("#isdn2sip_destination_numformat").prop("disabled",true);
        $("#isdn2sip_source_numformat").prop("disabled",true);
        $("#dialplan_international_prefix").prop("disabled",true);
        $("#sip2dialplan_dad_prefix_setting").prop("disabled",true);
        $("#sip2dialplan_oad_prefix_setting").prop("disabled",true);
        $("#srtp_mode").prop("disabled",true);
        $("#srtp_crypto_suites").prop("disabled",true);
        $("#s2s_nat_opener").prop("disabled",true);
        $("#use_privacy_header").prop("disabled",true);
}

function hide_elements(from_to) {
    if (from_to == "isdn-isdn") {
        $('.t38').hide();
        $('.dtmfmode').hide();
        $('.codecs').hide();
        $('.wait_for_cancel').hide();
        $('.from_sip_src_setting').hide();
        $('.sip_to_user_setting').hide();
        $('.sip_from_user_setting').hide();
        $('.sip_from_display_setting').hide();
        $('.sip_national_code').hide();
        $('.sip_international_code').hide();
        $('.isdn2sip_destination_numformat').hide();
        $('.isdn2sip_source_numformat').hide();
        $('.dialplan_international_prefix').hide();
        $('.sip2dialplan_dad_prefix_setting').hide();
        $('.sip2dialplan_oad_prefix_setting').hide();
        $('.srtp_mode').hide();
        $('.srtp_crypto_suites').hide();
        $('.s2s_nat_opener').hide();
        $('.use_privacy_header').hide();
        $('.sip_pai_user_setting').hide();
        $('.sip_ppi_user_setting').hide();
    }
    srtp();
}


function is_submit()
{
	var elem = document.getElementsByTagName("input");
	for (i=0;i<elem.length;i++){
		if (elem[i].type=="text"){
			elem[i].value= elem[i].value.replace(/\"/g,"\"");
			elem[i].value= elem[i].value.replace(/\'/g,"\"");
		}
	}
	return true;
}

function srtp(){
    if ($("#srtp_mode").val()=="off"){
        $("#def_srtp_crypto_suites").prop("checked",true);
        $("#srtp_crypto_suites").prop("disabled",true);
        $(".srtp_crypto_suites").hide();
    }else{ 
        $(".srtp_crypto_suites").show();
    }
}
